#!/bin/bash
#
#

source /etc/profile

#
BackupDir=/opt/apps/mysqlbackup
fmonth=`date "+%Y%m"`
fdate=`date "+%Y%m%d%H%M%S"`
logfile=$BackupDir/backmysql.log
chown -R mysql:mysql $BackupDir
chmod -R 775 $BackupDir

# 备份
function backupPetIdentity () {
  echo "`date "+%m %d %H:%M:%S"` Begin backup pet_identity database" >> $logfile

  if [ ! -d $BackupDir/$fmonth ];then
    mkdir -p $BackupDir/$fmonth
  fi

  chown -R mysql:mysql $BackupDir/$fmonth
  cd $BackupDir/$fmonth

  mysqldump -R -E pet_identity > pet_identity_$fdate.sql

  echo "`date "+%m %d %H:%M:%S"` Begin compress database " >> $logfile
  tar -cf pet_identity_$fdate.sql.tar pet_identity_$fdate.sql
  rm -f pet_identity_$fdate.sql
  echo "`date "+%m %d %H:%M:%S"` data compress done" >> $logfile

  echo "`date "+%m %d %H:%M:%S"` backup pet_identity database done" >> $logfile
  echo "`date "+%m %d %H:%M:%S"` backup file $BackupDir/$fmonth/pet_identity_$fdate.sql.tar" >> $logfile
}

backupPetIdentity
echo "mysql数据库备份完成"
