package com.njyunzhi.pet_identity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("办证申请查询条件")
public class ApplicationParams {

    @ApiModelProperty("表单进度")
    Integer process;

    @ApiModelProperty("申请开始时间")
    String applyStart;

    @ApiModelProperty("申请结束时间")
    String applyEnd;

    @ApiModelProperty("审核开始时间")
    String auditStart;

    @ApiModelProperty("审核结束时间")
    String auditEnd;

    @ApiModelProperty("发证开始时间")
    String makeStart;

    @ApiModelProperty("发证结束时间")
    String makeEnd;

    @ApiModelProperty("申请类型")
    String applyType;

    @ApiModelProperty("申领方式")
    Integer applyMethod;

    @ApiModelProperty("付款状态")
    Integer payStatus;

    @ApiModelProperty("审核状态")
    Integer verifyStatus;

    @ApiModelProperty("犬主")
    String personName;

    @ApiModelProperty("手机号")
    String phone;

    @ApiModelProperty("犬名")
    String petName;

    @ApiModelProperty("卡号")
    String originCardNo;

    @ApiModelProperty("是否企业")
    Boolean isOrg;

    @ApiModelProperty("企业名称")
    String orgName;

    @ApiModelProperty("状态")
    Integer status;
}
