package com.njyunzhi.pet_identity.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.njyunzhi.pet_identity.entity.TaApplication;
import com.baomidou.mybatisplus.extension.service.IService;
import com.njyunzhi.pet_identity.vo.ApplicationParams;

import java.time.LocalDateTime;

/**
 * <p>
 * 我的申请 服务类
 * </p>
 *
 * @author yansen
 * @since 2022-05-24
 */
public interface ITaApplicationService extends IBaseService<TaApplication> {

    int countBetween(LocalDateTime dayStart, LocalDateTime dayEnd);

    Integer getTotalCharge(TaApplication taApplication);

    IPage<TaApplication> getPageBy(IPage<TaApplication> pg, ApplicationParams params);
}
